Package ghidra.app.util.bin.format.pe

# Enum Class SectionFlags

java.lang.Object
java.lang.Enum<SectionFlags>
ghidra.app.util.bin.format.pe.SectionFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<SectionFlags>`, `Constable`

public enum SectionFlags extends Enum<SectionFlags>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IMAGE_SCN_ALIGN_1024BYTES`
  `IMAGE_SCN_ALIGN_128BYTES`
  `IMAGE_SCN_ALIGN_16BYTES`
  `IMAGE_SCN_ALIGN_1BYTES`
  `IMAGE_SCN_ALIGN_2048BYTES`
  `IMAGE_SCN_ALIGN_256BYTES`
  `IMAGE_SCN_ALIGN_2BYTES`
  `IMAGE_SCN_ALIGN_32BYTES`
  `IMAGE_SCN_ALIGN_4096BYTES`
  `IMAGE_SCN_ALIGN_4BYTES`
  `IMAGE_SCN_ALIGN_512BYTES`
  `IMAGE_SCN_ALIGN_64BYTES`
  `IMAGE_SCN_ALIGN_8192BYTES`
  `IMAGE_SCN_ALIGN_8BYTES`
  `IMAGE_SCN_CNT_CODE`
  `IMAGE_SCN_CNT_INITIALIZED_DATA`
  `IMAGE_SCN_CNT_UNINITIALIZED_DATA`
  `IMAGE_SCN_GPREL`
  `IMAGE_SCN_LNK_COMDAT`
  `IMAGE_SCN_LNK_INFO`
  `IMAGE_SCN_LNK_NRELOC_OVFL`
  `IMAGE_SCN_LNK_OTHER`
  `IMAGE_SCN_LNK_REMOVE`
  `IMAGE_SCN_MEM_16BIT`
  `IMAGE_SCN_MEM_DISCARDABLE`
  `IMAGE_SCN_MEM_EXECUTE`
  `IMAGE_SCN_MEM_LOCKED`
  `IMAGE_SCN_MEM_NOT_CACHED`
  `IMAGE_SCN_MEM_NOT_PAGED`
  `IMAGE_SCN_MEM_PRELOAD`
  `IMAGE_SCN_MEM_PURGEABLE`
  `IMAGE_SCN_MEM_READ`
  `IMAGE_SCN_MEM_SHARED`
  `IMAGE_SCN_MEM_WRITE`
  `IMAGE_SCN_RESERVED_0001`
  `IMAGE_SCN_RESERVED_0040`
  `IMAGE_SCN_TYPE_NO_PAD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlias()`
  `String`
  `getDescription()`
  `int`
  `getMask()`
  `static Set<SectionFlags>`
  `resolveFlags(int value)`
  `static SectionFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SectionFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IMAGE_SCN_TYPE_NO_PAD

    public static final SectionFlags IMAGE_SCN_TYPE_NO_PAD

  - ### IMAGE_SCN_RESERVED_0001

    public static final SectionFlags IMAGE_SCN_RESERVED_0001

  - ### IMAGE_SCN_CNT_CODE

    public static final SectionFlags IMAGE_SCN_CNT_CODE

  - ### IMAGE_SCN_CNT_INITIALIZED_DATA

    public static final SectionFlags IMAGE_SCN_CNT_INITIALIZED_DATA

  - ### IMAGE_SCN_CNT_UNINITIALIZED_DATA

    public static final SectionFlags IMAGE_SCN_CNT_UNINITIALIZED_DATA

  - ### IMAGE_SCN_LNK_OTHER

    public static final SectionFlags IMAGE_SCN_LNK_OTHER

  - ### IMAGE_SCN_LNK_INFO

    public static final SectionFlags IMAGE_SCN_LNK_INFO

  - ### IMAGE_SCN_RESERVED_0040

    public static final SectionFlags IMAGE_SCN_RESERVED_0040

  - ### IMAGE_SCN_LNK_REMOVE

    public static final SectionFlags IMAGE_SCN_LNK_REMOVE

  - ### IMAGE_SCN_LNK_COMDAT

    public static final SectionFlags IMAGE_SCN_LNK_COMDAT

  - ### IMAGE_SCN_GPREL

    public static final SectionFlags IMAGE_SCN_GPREL

  - ### IMAGE_SCN_MEM_PURGEABLE

    public static final SectionFlags IMAGE_SCN_MEM_PURGEABLE

  - ### IMAGE_SCN_MEM_16BIT

    public static final SectionFlags IMAGE_SCN_MEM_16BIT

  - ### IMAGE_SCN_MEM_LOCKED

    public static final SectionFlags IMAGE_SCN_MEM_LOCKED

  - ### IMAGE_SCN_MEM_PRELOAD

    public static final SectionFlags IMAGE_SCN_MEM_PRELOAD

  - ### IMAGE_SCN_ALIGN_1BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_1BYTES

  - ### IMAGE_SCN_ALIGN_2BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_2BYTES

  - ### IMAGE_SCN_ALIGN_4BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_4BYTES

  - ### IMAGE_SCN_ALIGN_8BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_8BYTES

  - ### IMAGE_SCN_ALIGN_16BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_16BYTES

  - ### IMAGE_SCN_ALIGN_32BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_32BYTES

  - ### IMAGE_SCN_ALIGN_64BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_64BYTES

  - ### IMAGE_SCN_ALIGN_128BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_128BYTES

  - ### IMAGE_SCN_ALIGN_256BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_256BYTES

  - ### IMAGE_SCN_ALIGN_512BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_512BYTES

  - ### IMAGE_SCN_ALIGN_1024BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_1024BYTES

  - ### IMAGE_SCN_ALIGN_2048BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_2048BYTES

  - ### IMAGE_SCN_ALIGN_4096BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_4096BYTES

  - ### IMAGE_SCN_ALIGN_8192BYTES

    public static final SectionFlags IMAGE_SCN_ALIGN_8192BYTES

  - ### IMAGE_SCN_LNK_NRELOC_OVFL

    public static final SectionFlags IMAGE_SCN_LNK_NRELOC_OVFL

  - ### IMAGE_SCN_MEM_DISCARDABLE

    public static final SectionFlags IMAGE_SCN_MEM_DISCARDABLE

  - ### IMAGE_SCN_MEM_NOT_CACHED

    public static final SectionFlags IMAGE_SCN_MEM_NOT_CACHED

  - ### IMAGE_SCN_MEM_NOT_PAGED

    public static final SectionFlags IMAGE_SCN_MEM_NOT_PAGED

  - ### IMAGE_SCN_MEM_SHARED

    public static final SectionFlags IMAGE_SCN_MEM_SHARED

  - ### IMAGE_SCN_MEM_EXECUTE

    public static final SectionFlags IMAGE_SCN_MEM_EXECUTE

  - ### IMAGE_SCN_MEM_READ

    public static final SectionFlags IMAGE_SCN_MEM_READ

  - ### IMAGE_SCN_MEM_WRITE

    public static final SectionFlags IMAGE_SCN_MEM_WRITE

- ## Method Details

  - ### values

    public static SectionFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SectionFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAlias

    public String getAlias()

  - ### getMask

    public int getMask()

  - ### getDescription

    public String getDescription()

  - ### resolveFlags

    public static Set<SectionFlags> resolveFlags(int value)